Subject: Re: [yang-doctors] [I2nsf] Yangdoctors last call review of draft-ietf-i2nsf-registration-interface-dm-04

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Fri, 7 Feb 2020 23:37:58 +0000

Hi Paul,

I have verified that you’ve addressed all comments which were provided on 05.

Regards,
Reshad.

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thursday, January 30, 2020 at 10:32 AM
To: "Reshad Rahman (rrahman)" <[email-masked]>
Cc: YANG Doctors <[email-masked]>, "[email-masked]" <[email-masked]>, Sangwon Hyun <[email-masked]>, skku-iotlab-members <[email-masked]>, Patrick Lingga <[email-masked]>, "Mr. Jaehoon Paul Jeong" <[email-masked]>
Subject: Re: [I2nsf] Yangdoctors last call review of draft-ietf-i2nsf-registration-interface-dm-04

Reshad,
Could you respond to my previous email about the latest revision of the I2NSF Registration Interface YANF Data Model draft?
https://tools.ietf.org/html/draft-ietf-i2nsf-registration-interface-dm-06

If you are satisfied with my revision, could you update the YANG Doctor's review result in the following link?
https://datatracker.ietf.org/doc/review-ietf-i2nsf-registration-interface-dm-04-yangdoctors-lc-rahman-2019-06-28/

After getting your review update state, I can ask the I2NSF WG chairs to make the WG Last Call on
our I2NSF Registration Interface draft.

Thanks for your efforts and help.

Best Regards,
Paul

On Tue, Jan 21, 2020 at 8:08 PM Mr. Jaehoon Paul Jeong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Reshad,
We authors have addressed your comments with the following revision:
https://tools.ietf.org/html/draft-ietf-i2nsf-registration-interface-dm-06

I attach the revision letter to show how to address your comments.

Could your check this revision and proceed with the YANG review update?

Thanks.

Best Regards,
Paul

On Tue, Nov 12, 2019 at 1:58 AM Reshad Rahman (rrahman) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Paul,

I have done another review (I don’t think an automated email got sent out).
https://datatracker.ietf.org/doc/review-ietf-i2nsf-registration-interface-dm-04-yangdoctors-lc-rahman-2019-06-28/

YANG Doctor review of draft-ietf-i2nsf-registration-interface-dm-05 (by Reshad Rahman)

Thank you for addressing comments from my earlier review @ https://datatracker.ietf.org/doc/review-ietf-i2nsf-registration-interface-dm-04-yangdoctors-lc-rahman-2019-06-28/

Major comments/questions:
- There is a YANG warning on the datatracker page:
[email-masked]:54: warning: RFC 8407: 3.1: The IETF Trust Copyright statement seems to be missing (see pyang --ietf-help for details).
To fix this, in the YANG module remove the <> around 2019: Copyright (c) <2019>

- For contact in YANG module, please remove WG chair info (see RFC8407 appendix B for an example)

- For the revision in YANg module, put "Initial version" (even though it's the 5th revision)

- Why define a union of ipv4-address and ipv6-address in typedef nsf-address, why not reuse existing ip-address type from RFC6021?

- For bandwidth, is there a reason why it's limited to uint16? Even though 65Tbps is a lot, I wouldn't limit it to uint16. And aren't there any use-cases for bandwidth smaller than 1 Gbps? If yes, use e.g Mbps as unit and use uint32 instead of uint16? Please use units statement.
- It is not clear to me what’s the distinction between nsf-name and nsf-instance-name. In Examples 4 and 5, they have the same value, but not in Example 3.  Might be worth clarifying or giving the same name.

- Having nsf or i2nsf in many node names is redundant, since NSF or I2NSF is in the higher level container name.  e.g, in NSF Capability Registration all nodes seem to have i2nsf or nsf in their name.

- There seems to be some indentation issues in the YANG  module (e.g. P16)

- Abide by order in RFC8407 Appendix B. e.g. RPC statements should be after groupings.

Nits:

- Appendix B: Managmenet -> Management

- Section 6.2: capailities -> capabilities

- Example 5: space in "http_and_h ttps_flood_mitigation_capability"

Regards,
Reshad.

Regards,
Reshad.

From: "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, November 5, 2019 at 9:02 PM
To: "Reshad Rahman (rrahman)" <[email-masked]<mailto:[email-masked]>>
Cc: YANG Doctors <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Sangwon Hyun <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [I2nsf] Yangdoctors last call review of draft-ietf-i2nsf-registration-interface-dm-04

Hi Reshad,
I believe that I have addressed your comments on I2NSF Registration Interface Data Model:
https://tools.ietf.org/html/draft-ietf-i2nsf-registration-interface-dm-05

If you are satisfied with the revision, could you update the Review result in the following page?
https://datatracker.ietf.org/doc/review-ietf-i2nsf-registration-interface-dm-04-yangdoctors-lc-rahman-2019-06-28/

Thanks.

Best Regards,
Paul

On Thu, Jul 25, 2019 at 11:23 PM Mr. Jaehoon Paul Jeong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Reshad,
Here is the revision letter for the revised draft, reflecting your comments along with the revised draft:
https://tools.ietf.org/html/draft-ietf-i2nsf-registration-interface-dm-05

If you have further comments and questions, please let me know.

Thanks.

Best Regards,
Paul

On Fri, Jun 28, 2019 at 5:17 PM Reshad Rahman via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Reviewer: Reshad Rahman
Review result: On the Right Track

YANG Doctor review of draft-ietf-i2nsf-registration-interface-dm-04 (by Reshad
Rahman)

Major comments:
- Look at appendix B of RFC8407 for an example of how a YANG module should be
structured. This document does not abide to that. - Poor descriptions e.g.
"nsf-name" for leaf "nsf-name" etc - prefix "iiregi" doesn't seem right. What
about "nsfreg"? Probably needs coordination with the other I2NSF YANG modules
to have consistency between the prefixes. I see that YD Acee suggested
"nsfintf" for draft-ietf-i2nsf-nsf-facing-interface-dm-06 - No unit specified
for bandwidth, processing (performance) - nsf-address is IPv4 specific -
Security considerations should list the nodes as per section 3.7 of RFC8407. -
Should this document be informational since 8329 is informational? - Section 2
should use RFC8174 also - Refer to RFC8407 instead of 6807 (YANG Guidelines) -
Examples should use IPv6 as examples (use the range from RFC3849). Kudos for
all the examples.

Minor comments and questions:
- The YANG trees such as Figure 6, 7 etc don't show the contents of the
groupings. So they don't help much. - nsf-port-address should be nsf-port? -
Section 4, last bullet. I am not an expert on I2NSF so not clear to me why this
query is needed, is it because NSF may not re-register after their capabilities
have been updated? Might be worth adding some explanation. - Have the examples
been validated?

_______________________________________________
I2nsf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2nsf

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sat, 8 Feb 2020 11:32:09 +0900

Hi Reshad,
Thanks for your valuable comments and help.

Best Regards,
Paul

On Sat, Feb 8, 2020 at 8:38 AM Reshad Rahman (rrahman) <[email-masked]>
wrote:

> *From: *"Mr. Jaehoon Paul Jeong" <[email-masked]>
> *Date: *Thursday, January 30, 2020 at 10:32 AM
> *To: *"Reshad Rahman (rrahman)" <[email-masked]>
> *Cc: *YANG Doctors <[email-masked]>, "[email-masked]" <
> [email-masked]>, Sangwon Hyun <[email-masked]>, skku-iotlab-members <
> [email-masked]>, Patrick Lingga <
> [email-masked]>, "Mr. Jaehoon Paul Jeong" <
> [email-masked]>
> *Subject: *Re: [I2nsf] Yangdoctors last call review of
> draft-ietf-i2nsf-registration-interface-dm-04
>
>
>
> Reshad,
>
> Could you respond to my previous email about the latest revision of the
> I2NSF Registration Interface YANF Data Model draft?
>
> On Tue, Jan 21, 2020 at 8:08 PM Mr. Jaehoon Paul Jeong <
> [email-masked]> wrote:
>
> Hi Reshad,
>
> On Tue, Nov 12, 2019 at 1:58 AM Reshad Rahman (rrahman) <[email-masked]>
> wrote:
>
> Hi Paul,
>
>
>
> Thank you for addressing comments from my earlier review @
> [email-masked]:54: warning: RFC 8407: 3.1: The
> IETF Trust Copyright statement seems to be missing (see pyang --ietf-help
> for details).
>
> - Why define a union of ipv4-address and ipv6-address in typedef
> nsf-address, why not reuse existing ip-address type from RFC6021?
>
>
>
> - For bandwidth, is there a reason why it's limited to uint16? Even though
> 65Tbps is a lot, I wouldn't limit it to uint16. And aren't there any
> use-cases for bandwidth smaller than 1 Gbps? If yes, use e.g Mbps as unit
> and use uint32 instead of uint16? Please use units statement.
>
> - It is not clear to me what’s the distinction between nsf-name and
> nsf-instance-name. In Examples 4 and 5, they have the same value, but not
> in Example 3.  Might be worth clarifying or giving the same name.
>
>
>
> - Having nsf or i2nsf in many node names is redundant, since NSF or I2NSF
> is in the higher level container name.  e.g, in NSF Capability Registration
> all nodes seem to have i2nsf or nsf in their name.
>
>
>
> *From: *"Mr. Jaehoon Paul Jeong" <[email-masked]>
> *Date: *Tuesday, November 5, 2019 at 9:02 PM
> *To: *"Reshad Rahman (rrahman)" <[email-masked]>
> *Cc: *YANG Doctors <[email-masked]>, "[email-masked]" <
> [email-masked]>, "[email-masked]"
> <[email-masked]>, Sangwon Hyun <
> [email-masked]>, "[email-masked]" <
> [email-masked]>, "Mr. Jaehoon Paul Jeong" <
> [email-masked]>
> *Subject: *Re: [I2nsf] Yangdoctors last call review of
> draft-ietf-i2nsf-registration-interface-dm-04
>
>
>
> Hi Reshad,
> On Thu, Jul 25, 2019 at 11:23 PM Mr. Jaehoon Paul Jeong <
> [email-masked]> wrote:
>
> Hi Reshad,
> On Fri, Jun 28, 2019 at 5:17 PM Reshad Rahman via Datatracker <
> [email-masked]> wrote:
>
> Reviewer: Reshad Rahman
> [email-masked]
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>
>
>
>
> --
>
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>
>
>
>
> --
>
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>
>
>
>
> --
>
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sat, 8 Feb 2020 11:48:33 +0900

Hi Reshad,
Could you update the review status as READY?

Thanks.

Paul

On Sat, Feb 8, 2020 at 11:32 AM Mr. Jaehoon Paul Jeong <
[email-masked]> wrote:

>> On Tue, Nov 12, 2019 at 1:58 AM Reshad Rahman (rrahman) <
>> [email-masked]> wrote:
>>
>> Hi Paul,
>>
>>
>>
>> - For bandwidth, is there a reason why it's limited to uint16? Even
>> though 65Tbps is a lot, I wouldn't limit it to uint16. And aren't there any

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Sat, 8 Feb 2020 21:54:03 +0000

Hi,

Going back to this comment on rev-05:
- Abide by order in RFC8407 Appendix B. e.g. RPC statements should be after groupings.
The only thing which seems to have been fixed is that the RPC statement was put after groupings. But you should look at https://tools.ietf.org/html/rfc8407#page-61:

     // extension statements

     // feature statements

     // identity statements

     // typedef statements

     // grouping statements

     // data definition statements

     // augment statements

     // rpc statements

     // notification statements

     // DO NOT put deviation statements in a published module

That means your data definition statements (container nsf-registrations) should be after the groupings.

Also the indentation seems off on the YANG module in some places, for example on P14.

Regards,
Reshad.

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Friday, February 7, 2020 at 9:49 PM
To: "Reshad Rahman (rrahman)" <[email-masked]>
Cc: YANG Doctors <[email-masked]>, "[email-masked]" <[email-masked]>, Sangwon Hyun <[email-masked]>, skku-iotlab-members <[email-masked]>
Subject: Re: [I2nsf] Yangdoctors last call review of draft-ietf-i2nsf-registration-interface-dm-04

Hi Reshad,

Thanks.

Paul

On Sat, Feb 8, 2020 at 11:32 AM Mr. Jaehoon Paul Jeong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Reshad,
Thanks for your valuable comments and help.

Best Regards,
Paul

On Sat, Feb 8, 2020 at 8:38 AM Reshad Rahman (rrahman) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Paul,

Regards,
Reshad.

Cc: YANG Doctors <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Sangwon Hyun <[email-masked]<mailto:[email-masked]>>, skku-iotlab-members <[email-masked]<mailto:[email-masked]>>, Patrick Lingga <[email-masked]<mailto:[email-masked]>>, "Mr. Jaehoon Paul Jeong" <[email-masked]<mailto:[email-masked]>>

Reshad,

Best Regards,
Paul

Thanks.

Best Regards,
Paul

Nits:

Regards,
Reshad.

Regards,
Reshad.

Hi Reshad,

Thanks.

Best Regards,
Paul

Thanks.

Best Regards,
Paul

Major comments:

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sun, 9 Feb 2020 13:37:15 +0900

Hi Reshad,
We authors will reflect your comments, and submit the revision.

Best Regards,
Paul

2020년 2월 9일 (일) 오전 6:54, Reshad Rahman (rrahman) <[email-masked]>님이 작성:

> The only thing which seems to have been fixed is that the RPC statement
> was put after groupings. But you should look at
> https://tools.ietf.org/html/rfc8407#page-61:
>
>      // extension statements
>
>      // feature statements
>
>      // identity statements
>
>      // typedef statements
>
>      // grouping statements
>
> *Date: *Friday, February 7, 2020 at 9:49 PM
> [email-masked]>